Page MenuHomePhabricator

Convert misc cluster to Varnish 4
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productioncache_misc: remove varnish3 VCL compat
operations/puppet : productionRevert "cache_misc: downgrade almost all to varnish3"
operations/puppet : productiontlsproxy: use http/1.1 only in conjunction with varnish4
operations/puppet : productionSet misc as varnish4-only
operations/puppet : productionUpgrade misc eqiad to Varnish 4
operations/puppet : productionUpgrade misc codfw to Varnish 4
operations/puppet : productionUpgrade misc ulsfo to Varnish 4
operations/puppet : productionUpgrade misc esams to Varnish 4
operations/puppet : productionUpgrade cp3007 to Varnish 4
operations/puppet : productionmisc large objects refactor
operations/puppet : productionMisc VCL forward-port to Varnish 4
operations/puppet : productionmisc VCL: backend setting for varnish4
operations/puppet : productioncache_misc: declarative req.http.host=>backend map
operations/puppet : productionmisc VCL: disable yarn.wm.o more-completely
operations/puppet : productionMisc cluster VCL: avoid name conflict between directors and probes

Related Objects

StatusAssignedTask
DuplicateNone
DuplicateNone
OpenNone
OpenNone
DuplicateNikerabbit
Opendaniel
DuplicateBBlack
StalledNone
OpenNone
OpenNone
ResolvedYurik
ResolvedSmalyshev
OpenNone
Resolvedema
DeclinedNone
Resolvedema
ResolvedBBlack
ResolvedBBlack
ResolvedBBlack
Resolvedema
Resolvedema

Event Timeline

ema created this task.Apr 1 2016, 2:00 PM
ema claimed this task.Apr 4 2016, 3:08 PM
ema moved this task from Triage to Up Next on the Traffic board.

Change 281457 had a related patch set uploaded (by Ema):
Misc cluster VCL: avoid name conflict between directors and probes

https://gerrit.wikimedia.org/r/281457

Change 281457 merged by Ema:
Misc cluster VCL: avoid name conflict between directors and probes

https://gerrit.wikimedia.org/r/281457

Change 282140 had a related patch set uploaded (by BBlack):
misc VCL: disable yarn.wm.o more-completely

https://gerrit.wikimedia.org/r/282140

Change 282151 had a related patch set uploaded (by BBlack):
cache_misc: declarative req.http.host=>backend map

https://gerrit.wikimedia.org/r/282151

Change 282140 merged by BBlack:
misc VCL: disable yarn.wm.o more-completely

https://gerrit.wikimedia.org/r/282140

Change 282151 merged by BBlack:
cache_misc: declarative req.http.host=>backend map

https://gerrit.wikimedia.org/r/282151

Change 282173 had a related patch set uploaded (by BBlack):
misc VCL: backend-setting for varnish4

https://gerrit.wikimedia.org/r/282173

Change 282173 merged by BBlack:
misc VCL: backend setting for varnish4

https://gerrit.wikimedia.org/r/282173

Change 282235 had a related patch set uploaded (by Ema):
Misc VCL forward-port to Varnish 4

https://gerrit.wikimedia.org/r/282235

Change 282235 merged by Ema:
Misc VCL forward-port to Varnish 4

https://gerrit.wikimedia.org/r/282235

ema moved this task from Up Next to In Progress on the Traffic board.Apr 8 2016, 1:07 PM

Change 282716 had a related patch set uploaded (by BBlack):
misc large objects refactor

https://gerrit.wikimedia.org/r/282716

Change 282716 merged by BBlack:
misc large objects refactor

https://gerrit.wikimedia.org/r/282716

Change 287971 had a related patch set uploaded (by Ema):
Upgrade cp3007 to Varnish 4

https://gerrit.wikimedia.org/r/287971

Change 287971 merged by Ema:
Upgrade cp3007 to Varnish 4

https://gerrit.wikimedia.org/r/287971

Change 288157 had a related patch set uploaded (by Ema):
Upgrade misc esams to Varnish 4

https://gerrit.wikimedia.org/r/288157

Mentioned in SAL [2016-05-11T08:55:19Z] <ema> upgrading cp3008 to varnish 4 (T131501)

Change 288157 merged by Ema:
Upgrade misc esams to Varnish 4

https://gerrit.wikimedia.org/r/288157

Mentioned in SAL [2016-05-11T09:06:31Z] <ema> upgrading cp3009 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T09:14:39Z] <ema> upgrading cp3010 to varnish 4 (T131501)

Change 288166 had a related patch set uploaded (by Ema):
Upgrade misc ulsfo to Varnish 4

https://gerrit.wikimedia.org/r/288166

Change 288166 merged by Ema:
Upgrade misc ulsfo to Varnish 4

https://gerrit.wikimedia.org/r/288166

Mentioned in SAL [2016-05-11T09:41:09Z] <ema> upgrading cp4001 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T10:03:56Z] <ema> upgrading cp4002 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T10:12:34Z] <ema> upgrading cp4003 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T10:20:17Z] <ema> upgrading cp4004 to varnish 4 (T131501)

Change 288172 had a related patch set uploaded (by Ema):
Upgrade misc codfw to Varnish 4

https://gerrit.wikimedia.org/r/288172

Change 288172 merged by Ema:
Upgrade misc codfw to Varnish 4

https://gerrit.wikimedia.org/r/288172

Mentioned in SAL [2016-05-11T11:55:42Z] <ema> upgrading cp2006 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:05:06Z] <ema> upgrading cp2012 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:10:01Z] <ema> upgrading cp2018 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:18:44Z] <ema> upgrading cp2025 to varnish 4 (T131501)

Change 288180 had a related patch set uploaded (by Ema):
Upgrade misc eqiad to Varnish 4

https://gerrit.wikimedia.org/r/288180

Change 288180 merged by Ema:
Upgrade misc eqiad to Varnish 4

https://gerrit.wikimedia.org/r/288180

Mentioned in SAL [2016-05-11T12:33:52Z] <ema> upgrading cp1045 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:39:23Z] <ema> upgrading cp1051 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:47:05Z] <ema> upgrading cp1058 to varnish 4 (T131501)

Mentioned in SAL [2016-05-11T12:50:00Z] <ema> upgrading cp1061 to varnish 4 (T131501)

Change 288185 had a related patch set uploaded (by Ema):
Set misc as varnish4-only

https://gerrit.wikimedia.org/r/288185

Change 288185 merged by Ema:
Set misc as varnish4-only

https://gerrit.wikimedia.org/r/288185

ema closed this task as Resolved.May 11 2016, 12:55 PM

Change 288213 had a related patch set uploaded (by BBlack):
tlsproxy: use http/1.1 only in conjunction with varnish4

https://gerrit.wikimedia.org/r/288213

Change 288213 merged by BBlack:
tlsproxy: use http/1.1 only in conjunction with varnish4

https://gerrit.wikimedia.org/r/288213

BBlack reopened this task as Open.May 13 2016, 9:12 PM

T134989 couldn't be resolved in a reasonable timeframe, and is corrupting some responses (zero body content length). I've reverted the bulk of cache_misc to varnish3 for now until we resolve it. More details in that ticket.

Change 289148 had a related patch set uploaded (by Ema):
Revert "cache_misc: downgrade almost all to varnish3"

https://gerrit.wikimedia.org/r/289148

Change 289148 merged by Ema:
Revert "cache_misc: downgrade almost all to varnish3"

https://gerrit.wikimedia.org/r/289148

Mentioned in SAL [2016-05-17T09:14:57Z] <ema> upgrading ulsfo cache_misc to varnish 4 (T131501, T134989)

ema closed this task as Resolved.May 24 2016, 9:31 AM

It's now been a week after our re-upgrade of cache_misc to Varnish 4 and I'm not aware of any new issues being discovered. Closing.

Change 301373 had a related patch set uploaded (by BBlack):
cache_misc: remove varnish3 VCL compat

https://gerrit.wikimedia.org/r/301373

Change 301373 merged by BBlack:
cache_misc: remove varnish3 VCL compat

https://gerrit.wikimedia.org/r/301373